DecodingResult Struct Reference

Returns a decoding results. More...

## Public Member Functions

| DecodingResult ()
| Constructs a DecodingResult. More...
| DecodingResult (size_t len)
| Constructs a DecodingResult. More...
bool | operator== (const DecodingResult &rhs) const
| Compare two DecodingResult. More...
bool | operator!= (const DecodingResult &rhs) const
| Compare two DecodingResult. More...

## Public Attributes

bool | isValidCoding
| Flag to indicate the decoding is valid.
size_t | messageLength
| Recovered message length if isValidCoding is true, undefined otherwise.

## Detailed Description

Returns a decoding results.

Definition at line 277 of file cryptlib.h.

## Constructor & Destructor Documentation

## DecodingResult() [1/2]

DecodingResult::DecodingResult | ( |  | ) |

inline explicit

Constructs a DecodingResult.

isValidCoding is initialized to false and messageLength is initialized to 0.

Definition at line 282 of file cryptlib.h.

## DecodingResult() [2/2]

DecodingResult::DecodingResult | ( | size_t | len | ) |

inline explicit

Constructs a DecodingResult.

Parameters

  len | the message length

isValidCoding is initialized to true.

Definition at line 286 of file cryptlib.h.

## Member Function Documentation

## operator==()

bool DecodingResult::operator== | ( | const DecodingResult & | rhs | ) | const

inline

Compare two DecodingResult.

Parameters

  rhs | the other DecodingResult

Returns
  true if either isValidCoding or messageLength is not equal, false otherwise

Definition at line 292 of file cryptlib.h.

## operator!=()

bool DecodingResult::operator!= | ( | const DecodingResult & | rhs | ) | const

inline

Compare two DecodingResult.

Parameters

  rhs | the other DecodingResult

Returns
  true if either isValidCoding or messageLength is not equal, false otherwise

Returns `!operator==(rhs)`.

Definition at line 298 of file cryptlib.h.

The documentation for this struct was generated from the following file:

- cryptlib.h